Package: grails.rest.render

## [Groovy] Class AbstractRenderer<T>

- grails.rest.render.AbstractRenderer

- All Implemented Interfaces and Traits:
    Renderer<T>

      @groovy.transform.CompileStatic
      abstract class AbstractRenderer<T>
      extends java.lang.Object
      implements Renderer<T>

  Abstract implementation of the Renderer interface

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private MimeType[]` | `mimeTypes` |
    `private java.lang.Class<T>` | `targetType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MimeType[]` | `mimeTypes`
    `java.lang.Class<T>` | `targetType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractRenderer (java.lang.Class<T> targetType, MimeType mimeType)`
    `AbstractRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private MimeType[] mimeTypes

    - #### private java.lang.Class<T> targetType

  - ### Property Detail

    - #### MimeType[] mimeTypes

    - #### java.lang.Class<T> targetType

  - ### Constructor Detail

    - #### AbstractRenderer(java.lang.Class<T> targetType, MimeType mimeType)

    - #### AbstractRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)